import { core } from "@plutolang/base";
export declare class PulumiAdapter extends core.Adapter {
    private readonly backendPath;
    private passphrase;
    readonly name: any;
    readonly version: any;
    constructor(args: core.NewAdapterArgs);
    state(): Promise<core.StateResult>;
    deploy(opts?: core.DeployOptions): Promise<core.DeployResult>;
    destroy(opts?: core.DestroyOptions): Promise<void>;
    dump(): string;
    load(data: string): void;
    private createPulumiStack;
    private updateInProgress;
}
